.component.component-image-file-input
  .control.has-icon.has-addons
    i.fa.fa-cloud-upload
    input.input(type="text", [value]="getTitle()", readonly)
    .button.has-icon(*ngIf="hasPreview()", (click)="modal.open()", title='{{ "common.image-file-input.preview" | translate }} ')
      i.fa.fa-search-plus
    label.button.is-primary
      span {{ "zea2-admin.m.ui.common.upload-attachment-image" | translate }}
      input.input(*ngIf="enabled", type="file", (change)="onFileChange($event)")
  .modals
    zea2-image-preview(
      *ngIf="modal.isOpened()",
      (close)="modal.close()",
      [image]="getPreview()"
    )
